import request from '@/utils/request'

// 查询内容信息列表
export function listCrticleInfo(query) {
  return request({
    url: '/tuya/articleinfo/list',
    method: 'get',
    params: query
  })
}

// 查询内容信息详细
export function getCrticleInfo(articleId) {
  return request({
    url: '/tuya/articleinfo/' + articleId,
    method: 'get'
  })
}

// 新增内容信息
export function addCrticleInfo(data) {
  return request({
    url: '/tuya/articleinfo',
    method: 'post',
    data: data
  })
}

// 修改内容信息
export function updateCrticleInfo(data) {
  return request({
    url: '/tuya/articleinfo',
    method: 'put',
    data: data
  })
}

// 删除内容信息
export function delCrticleInfo(articleId) {
  return request({
    url: '/tuya/articleinfo/' + articleId,
    method: 'delete'
  })
}
